//AT commands for HC-05 as master
//Push the botton of the bluetooth board to be able to enter AT commands
//AT+ROLE, get the role: 0, slave; 1, master. In case the result is not 1 type: AT+ROLE=1
//AT+CMODE, get the connection mode: 0, connect to one; 1 connect to any. In case the result is not 0 type: AT+CMODE=0
//AT+BIND=XXXX,YY,ZZZZZZ  (XXXX,YY,ZZZZZZ is the format of the MAC address of slave) 
//AT+UART, get serial parameters. In case the result is different to +UART:9600,0,0 type: AT+UART=9600,0,0

#include <SoftwareSerial.h>
SoftwareSerial Bluetooth(2, 3); // RX | TX

void setup(){ 
  Serial.begin(9600);
  Serial.println("Bluetooth module HC-05 configuration");
  Serial.println("Waiting for AT command:");
  Bluetooth.begin(38400); 
}
 
void loop(){  
  if (Bluetooth.available()){
    Serial.write(Bluetooth.read());
  }
  if (Serial.available()){
    Bluetooth.write(Serial.read());
  }
}
